Delete Conversation
curl --request DELETE \
--url https://api.replyke.com/api/v6/:projectId/api/v7/conversations/:conversationId \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/conversations/:conversationId"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/conversations/:conversationId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Chat — Conversations
Delete Conversation
Delete a group or space conversation and all its messages
Delete Conversation
Permanently deletes a conversation and all associated messages, members, reactions, and file attachments. This action is irreversible.
Direct conversations (
type: "direct") cannot be deleted.
Authorization:
groupconversations: caller must be an activeadminmember.spaceconversations: caller must haveadminrole in the parent Space.
Path Parameters
string
required
The ID of the conversation to delete.
Response
{ "message": "Conversation deleted." }
Error Responses
Not Found — 404
Not Found — 404
{ "error": "Conversation not found.", "code": "chat/not-found" }
Cannot Delete DM — 400 Bad Request
Cannot Delete DM — 400 Bad Request
{ "error": "Direct conversations cannot be deleted.", "code": "chat/cannot-delete-dm" }
Forbidden (group) — 403
Forbidden (group) — 403
{ "error": "Only group admins can delete this conversation.", "code": "chat/not-a-member" }
Forbidden (space) — 403
Forbidden (space) — 403
{ "error": "Only space admins can delete the space conversation.", "code": "chat/not-a-member" }

